# SceneSender (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.server
Class SceneSender

    java.lang.Object
      com.threerings.presents.server.InvocationSender
          com.threerings.whirled.server.SceneSender

    public class SceneSender

extends com.threerings.presents.server.InvocationSender

Used to issue notifications to a `SceneReceiver` instance on a client.

Constructor Summary
`SceneSender()`

Method Summary
`static void` `forcedMove(com.threerings.presents.data.ClientObject target, int arg1)` Issues a notification that will result in a call to `SceneReceiver.forcedMove(int)` on a client.

Methods inherited from class com.threerings.presents.server.InvocationSender
`sendNotification, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SceneSender

    public SceneSender()

Method Detail

### forcedMove

    public static void forcedMove(com.threerings.presents.data.ClientObject target,
                                  int arg1)

  Issues a notification that will result in a call to `SceneReceiver.forcedMove(int)` on a client.

Copyright © 2011. All Rights Reserved.